# GimpUi.ZoomPreview

    const GimpUi = imports.gi.GimpUi;

    let zoomPreview = new GimpUi.ZoomPreview({
        drawable: value,
        model: value,
    });

A drawable preview with zooming capabilities.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.Preview
            - GimpUi.ScrolledPreview
              - GimpUi.ZoomPreview

## Constructors

- GimpUi.ZoomPreview.new_from_drawable
- GimpUi.ZoomPreview.new_with_model_from_drawable

## Methods

- GimpUi.ZoomPreview.prototype.get_drawable
- GimpUi.ZoomPreview.prototype.get_factor
- GimpUi.ZoomPreview.prototype.get_model
- GimpUi.ZoomPreview.prototype.get_source

## Properties

- drawable
- model